clear all;
close all;
%	Jch Passieux (2010)
%               http://jchpass.free.fr/
path(path,'data');
path(path,'pre');
path(path,'fem');
path(path,'post');
path(path,'solver');
global DATA
DATA.time=cputime;

%%%%%%%%%%%%%%%%%%%%%%%%
%   LOADING PROBLEM    %
%%%%%%%%%%%%%%%%%%%%%%%%

load_pb('Test2d');  % name of testcase (also the name of directory and input file)
%load_pb('Test3d');
%load_pb('Cast3mTest');
%load_pb('GmshTest');
%load_pb('AbaqusTest');

init_data;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%  GENERATION OF THE MESH  %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%

m=read_mesh();
m=integration(m);

% WRITE MESH VTK 
vtk_mesh(m,1);
pvd_file('mesh',size(m,2));

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%   GENERATION OF OPERATORS   %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

m=connectivity(m);
m=stiffness(m);
m=makebc(m);

%%%%%%%%%%%%%%%%%%%%%%%
%   SOLVER and POST   %
%%%%%%%%%%%%%%%%%%%%%%%

m=solver_std(m);
m=call_after_solve(m,m.u);

vtk_sol(m,1);
pvd_file('sol',1);

disp(['esb3d: Total resolution time... ' num2str(cputime-DATA.time,2) ' s']);
disp('esb3d: *** Success *** ');

