clear all;
close all;
%	Jch Passieux (2010)
%               http://jchpass.free.fr/
path(path,'data');
path(path,'pre');
path(path,'fem');
path(path,'post');
path(path,'solver');
global DATA
DATA.time=cputime;
%%%%%%%%%%%%%%%%%%%%%%%%
%   LOADING PROBLEM    %
%%%%%%%%%%%%%%%%%%%%%%%%

load_pb('Transient'); 
init_data;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%  GENERATION OF THE MESH  %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%

m=read_mesh();
m=integration(m);

% WRITE MESH VTK 
vtk_mesh(m,1);
pvd_file('mesh',size(m,2));

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%   GENERATION OF OPERATORS   %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

m=connectivity(m);
m=stiffness(m);
m=mass(m);
m=makebc(m);

%%%%%%%%%%%%%%%%%%%%%%%
%   SOLVER and POST   %
%%%%%%%%%%%%%%%%%%%%%%%

m=solver_dyn(m);

disp(['esb3d: Total resolution time... ' num2str(cputime-DATA.time,2) ' s']);
disp('esb3d: *** Success *** ');
