function [B det_jac]=compute_gradient(pg,e,dim)
%  J.C. Passieux (2010)

if dim==2
    dN_eta=pg.dN_eta;
    dN_xi=pg.dN_xi;
    n=e.node_pos;
    
    % Jac
    jac = [ dN_xi*n(:,1) dN_eta*n(:,1)
        dN_xi*n(:,2) dN_eta*n(:,2)  ];
    % inv du Jac
    jaci = jac^(-1);
    dN = jaci' * [dN_xi;dN_eta];
    dN_x = dN(1,:);
    dN_y = dN(2,:);
    
    B=zeros(3,2*size(n,1));
    for j=1:size(n,1)
        B(:,(2*j-1):2*j)=[dN_x(j)  0.; 0.  dN_y(j) ; dN_y(j)  dN_x(j)];
    end
elseif dim==3
    dN_eta=pg.dN_eta;
    dN_xi=pg.dN_xi;
    dN_zeta=pg.dN_zeta;
    n=e.node_pos;
    
    % Jacobian matrix
    jac = [ dN_xi*n(:,1) dN_eta*n(:,1) dN_zeta*n(:,1)
        dN_xi*n(:,2) dN_eta*n(:,2) dN_zeta*n(:,2)
        dN_xi*n(:,3) dN_eta*n(:,3) dN_zeta*n(:,3)];
    % inv du Jac
    jaci = jac^(-1);
    dN = jaci' * [dN_xi;dN_eta;dN_zeta];
    dN_x = dN(1,:);
    dN_y = dN(2,:);
    dN_z = dN(3,:);
    
    B=zeros(6,3*size(n,1));
    for j=1:size(n,1)
        B(:,(3*j-2):3*j)=[  dN_x(j)  0.      0.
                            0.       dN_y(j) 0.
                            0.       0.      dN_z(j)
                            dN_y(j)  dN_x(j) 0.
                            dN_z(j)  0.      dN_x(j)
                            0.       dN_z(j) dN_y(j) ];
    end
end

det_jac=det(jac);
