function mel=melem(e)
%  J.C. Passieux (2010)

global DATA
density=DATA.density;

ndof=size(e.rep,2);
mel = zeros(ndof,ndof);

if DATA.dim==2
    for i = 1:size(e.pg,2)
        N=[ reshape([e.pg(i).N ; 0*e.pg(i).N],1,2*max(size(e.pg(i).N))) ;
            reshape([0*e.pg(i).N ; e.pg(i).N],1,2*max(size(e.pg(i).N))) ];
        [B det_jac]=compute_gradient(e.pg(i),e,DATA.dim);
        mel = mel + (N' * N * abs(det_jac) * e.pg(i).pd);
    end
else
    for i = 1:size(e.pg,2)
        a1=[e.pg(i).N ; zeros(2,numel(e.pg(i).N)) ];
        N=a1(:)';
        a1=[zeros(1,numel(e.pg(i).N)) ; e.pg(i).N ; zeros(1,numel(e.pg(i).N)) ];
        N=[N ; a1(:)'];
        a1=[zeros(2,numel(e.pg(i).N)) ; e.pg(i).N ];
        N=[N ; a1(:)'];
        [B det_jac]=compute_gradient(e.pg(i),e,DATA.dim);
        mel = mel + (N' * N * abs(det_jac) * e.pg(i).pd);
    end
end
mel=density*mel;
