function update_hooke(scal)
%  J.C. Passieux (2010)

global DATA

if nargin==0
	scal=1;
end

if DATA.dim==2
	if(DATA.plst)
		% plane strain
		hooke = DATA.E / ((1-2*DATA.nu)*(1+DATA.nu)) * [ 1-DATA.nu  DATA.nu    0 
    	                                DATA.nu    1-DATA.nu  0 
                                        0       0       0.5*(1-2*DATA.nu)];
	else
		% plane stress
		hooke = DATA.E / (1-(DATA.nu^2)) * [ 1     DATA.nu  0 
                               DATA.nu  1     0 
                               0     0     0.5*(1-DATA.nu)];
	end
else
	hooke=DATA.mu*eye(6);
	hooke(1:3,1:3)=2*hooke(1:3,1:3)+DATA.lambda*ones(3);
	% premultiplication by 2 ignored for shear terms.
	%
	% theory: 	eps = [epsxx epsyy epszz sqrt(2).epsxy sqrt(2).epsxz sqrt(2).epsyz]';
	%  		sig = [sigxx sigyy sigzz sqrt(2).sigxy sqrt(2).sigxz sqrt(2).sigyz]';
	%	
	% actual choice:	eps = [epsxx epsyy epszz epsxy epsxz epsyz];
	%  			sig = [sigxx sigyy sigzz 2.sigxy 2.sigxz 2.sigyz]'; (Warning in the post-treatment)
	%
	% so that tr(sig.eps) is ok.
end


DATA.hooke=hooke.*scal;

end